import type { IEventBus } from "../../../utils/EventBus";
import type { ILedgerConnectModalData } from './ledger-connect.types';
interface ILedgerConnectEventBusProps {
    forceUpdateFn: () => void;
    closeFn: () => void;
}
export declare class LedgerConnectBase {
    data: ILedgerConnectModalData;
    eventBus: IEventBus;
    selectedIndex: number;
    selectedAddress: string;
    constructor(data: ILedgerConnectModalData);
    getEventBus(): IEventBus;
    accessWallet(): void;
    selectAccount(index: number): void;
    nextPage(): void;
    prevPage(): void;
    subscribeEventBus({ closeFn, forceUpdateFn }: ILedgerConnectEventBusProps): void;
    unsubscribeEventBus({ closeFn, forceUpdateFn }: ILedgerConnectEventBusProps): void;
    private dataUpdate;
}
export {};
